get asset.md
Get Asset
Media API · Assets
GET https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}
Get an asset by name.
RBAC Capability Required: ams.asset.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
asset_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}" \
-H "Authorization: Bearer <token>"
Responses
200 — A single Asset.
id· string · Optional — Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}labels· map from strings to string · Optional — A dictionary of labels associated with the resource. - Maximum number of labels: 32. - Maximum length of a label or value: 256 characters. - Label: alphanumeric, hyphens and underscores. - Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
name· string · Optional · 1-260 characters · pattern: ^[^'<>%&:?/*+]+$ — The name of the resourceproperties· object · Required — The properties of the asset.alternateId· string · Optional · 0-64 characters — An alternate ID of the asset.assetId· string · Optional · format: uuid — The Asset ID.container· string · Optional · 3-63 characters · pattern: ^(?!.--)(?=[a-z0-9-]{3,63}$)(?!-)[a-z0-9]+(?:-[a-z0-9]+)$ — The name of the container if this asset is stored in an Azure storage account.containerDeletionPolicy· enum · Optional — This field defines the deletion policy for the underlying storage. This determines the behavior when an asset record is deleted. There are two options, 'Delete', and 'Retain'. A deletion policy of 'Delete' will result in the associated storage container or folder and all its contents being removed. A deletion policy of 'Retain' will leave the content in place. If left blank, the default behavior of the system will be to retain content. Once set by the user, this value can be modified, but not un-set.- Allowed values:
Delete,Retain
- Allowed values:
created· string · Optional · format: date-time — The creation date of the Asset.description· string · Optional · 0-4096 characters — The Asset description.encryptionScope· string or null · Optional — Accepted, not supported. The name of the encryption scope to use within your storage container. Errors may be cryptic.lastModified· string · Optional · format: date-time — The last modified date of the Asset.storageAccountName· string · Required · 0-255 characters — The name of the storage in MK.IO.storageEncryptionFormat· enum · Optional — This field was deprecated in the v3 API. Accepted, not supported. Use an encryption scope instead.- Allowed values:
None,MediaStorageClientEncryption
- Allowed values:
subPath· string · Optional · 1-256 characters · pattern: ^(?!/)(?!.(//|?|%|&)).[^/]$ — Optional subpath for instances where your asset is not in the root of the container. This needs to be an absolute directory path and can't be an empty string or start with '.', './' or '/' or end with '/'. Valid examples: 'path', 'path2', 'path/to/asset'
systemData· object · Optional — Metadata pertaining to creation and last modification of the resource.createdAt· string · Required · format: date-time — The timestamp of resource creation (UTC).createdBy· string · Required — The identity that created the resource.createdByType· enum · Required — The type of identity that created the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
internalId· string · Required · format: uuid — The internal ID of the resource.lastModifiedAt· string · Required · format: date-time — The timestamp of resource last modification (UTC).lastModifiedBy· string · Required — The identity that last modified the resource.lastModifiedByType· enum · Required — The type of identity that last modified the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
type· string · Optional — The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code